LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
09052Bug reports[All Projects] Import/Exportpublic2014-05-26 16:092014-07-30 16:18
Reporterriqcles 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target VersionFixed in Version2.05+ 
Summary09052: Import quota V1.85 -> V2.05
DescriptionHello,
I have a bug when I import the old surveys of 1.85 to 2.05.

It is a survey with quota management.

Codes of questions are in the wrong format
Q0-Confirmation.

Using 2.05, the import mechanism makes reformatting the code of the issue:
Q0-Confirmation becomes Q0Confirmation.


By cons, quotas introduced in 1.85 are no longer good!

They use the old codes of questions.

I have an error message when I go to the quotas (see screenshots).

I would have to modify the quotas in version 1.85 prior to import (and thus codes questions).
I attached the survey:
csv file is the v1.85
the V2.05 lss file export from 1.85 survey

http://www.limesurvey.org/fr/forum/french-forum/97273-import-questionnaire-1-85-vers-2-05-quotas-ko#109294 [^]
Steps To Reproduceimport the survey
open quota management
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit IDbuild140520
BrowserFirefox 24
Database & DB-VersionPostgresql 9.3
Operating System (Server)CentOS 6.5
Webserver software & versionapache 2.2.15
PHP VersionPHP 5.3.3
Attached Filescsv file icon limesurvey_survey_39562.csv [^] (18,500 bytes) 2014-05-26 16:10
? file icon limesurvey_survey_874282.lss [^] (37,326 bytes) 2014-05-26 16:10
zip file icon Captures ecrans.zip [^] (434,526 bytes) 2014-05-26 16:12
csv file icon V2_limesurvey_survey_25346.csv [^] (10,074 bytes) 2014-05-30 19:34

- Relationships

-  Notes
User avatar (30035)
DenisChenu (developer)
2014-05-30 13:30

Just a question more.

In 1.85 : if you use a clean question code : did it's the same ?
User avatar (30040)
riqcles (reporter)
2014-05-30 19:33

yes is the same.

I added a survey with clean codes
User avatar (30041)
riqcles (reporter)
2014-05-30 19:37

I also removed all quotas and retried the import.
I have the error message limesurey_quotas_2.png of capture, but I can go into the quota management
User avatar (30345)
c_schmitz (administrator)
2014-07-25 09:12

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=14339 [^]
User avatar (30374)
c_schmitz (administrator)
2014-07-30 16:18

2.05+ Build 140730 released

- Related Changesets
LimeSurvey: master 585ba279
Timestamp: 2014-07-25 07:12:27
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 09052: Importing old .csv survey structure file does not properly import quotas
mod - application/controllers/admin/participantsaction.php Diff ] File ]
mod - application/controllers/admin/remotecontrol.php Diff ] File ]
mod - application/controllers/admin/tokens.php Diff ] File ]
mod - application/helpers/admin/import_helper.php Diff ] File ]
mod - application/helpers/common_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-26 16:09 riqcles New Issue
2014-05-26 16:10 riqcles File Added: limesurvey_survey_39562.csv
2014-05-26 16:10 riqcles File Added: limesurvey_survey_874282.lss
2014-05-26 16:12 riqcles File Added: Captures ecrans.zip
2014-05-30 13:30 DenisChenu Note Added: 30035
2014-05-30 19:33 riqcles Note Added: 30040
2014-05-30 19:34 riqcles File Added: V2_limesurvey_survey_25346.csv
2014-05-30 19:37 riqcles Note Added: 30041
2014-07-25 09:11 c_schmitz Assigned To => c_schmitz
2014-07-25 09:11 c_schmitz Status new => assigned
2014-07-25 09:12 c_schmitz Changeset attached => LimeSurvey master 585ba279
2014-07-25 09:12 c_schmitz Note Added: 30345
2014-07-25 09:12 c_schmitz Resolution open => fixed
2014-07-25 09:12 c_schmitz Status assigned => resolved
2014-07-25 09:12 c_schmitz Fixed in Version => 2.05+
2014-07-30 16:18 c_schmitz Note Added: 30374
2014-07-30 16:18 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker